Bug 1925261

Summary: Items marked as mandatory in KMS Provider form are not enforced
Product: OpenShift Container Platform Reporter: Filip Balák <fbalak>
Component: Console Storage PluginAssignee: Ankush Behl <anbehl>
Status: CLOSED ERRATA QA Contact: Filip Balák <fbalak>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 4.7CC: aos-bugs, jefbrown, jthottan, madam, nberry, nthomas, ocs-bugs
Target Milestone: ---Keywords: UserExperience
Target Release: 4.8.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1932272 (view as bug list) Environment:
Last Closed: 2021-07-27 22:41:34 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1931874, 1932272    
Attachments:
Description Flags
StorageCluster installation wizard with error message none

Description Filip Balák 2021-02-04 17:23:40 UTC
Created attachment 1755097 [details]
StorageCluster installation wizard with error message

Description of problem (please be detailed as possible and provide log
snippests):
User can select Service name, Address, Port and Token when creating StorageCluster in StorageCluster installation wizard. All those items are marked as mandatory with symbol *. Only token is enforced and the rest of the items can be empty and user can proceed in form. When user clicks on Create button in next step, there appears error message:
  An error occurred
  f is null

Version of all relevant components (if applicable):
ocs-operator.v4.7.0-250.ci

Rate from 1 - 5 the complexity of the scenario you performed that caused this
bug (1 - very simple, 5 - very complex)?
1

Can this issue reproducible?
yes

Can this issue reproduce from the UI?
yes


Steps to Reproduce:
1. Navigate to Operators -> Installed operators -> OpenShift Container Storage
2. Start creating new StorageCluster.
3. In second step "Configure" of StorageCluster creation wizard select "Enable Encryption" and "Connect to an external key management service".
4. Fill some string into Token. Leave Service name, Address and Port empty.
5. Click Next and proceed to third step.
6. Click Create.


Actual results:
There appears an error message:
  An error occurred
  f is null

Expected results:
Form should not allow user to continue to third step.

Additional info:

Comment 2 Nishanth Thomas 2021-02-13 05:33:36 UTC
Moving this out of 4.7.0, not a blocker

Comment 4 Filip Balák 2021-02-23 09:48:27 UTC
Required attributes are enforced. --> VERIFIED

Tested with:
OCP 4.8.0-0.nightly-2021-02-23-013453
OCS ocs-operator.v4.7.0-270.ci

Comment 7 errata-xmlrpc 2021-07-27 22:41:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438